## cinnamon-desktop 3.8.1

=== meson_options.txt ===
option('deprecation-flags', type: 'boolean', value: true)
option('pnp-ids-path',      type: 'string',  value: '')
option('use-alsa',          type: 'boolean', value: false)

## cinnamon-desktop 2.0.4+lmde

=== debian/changelog ===
cinnamon-desktop (2.0.4+lmde) petra; urgency=low

  * 2.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:51:22 +0000

cinnamon-desktop (2.0.3) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Nov 2013 15:46:22 +0000

cinnamon-desktop (2.0.2) petra; urgency=low

  * 2.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Oct 2013 11:12:42 +0100

cinnamon-desktop (2.0.1) petra; urgency=low

  * 2.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Oct 2013 10:51:20 +0100

cinnamon-desktop (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 13:46:35 +0100

cinnamon-desktop (1.9.1) petra; urgency=low

  * 1.9.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 13:38:08 +0100

cinnamon-desktop (1.0.0) nadia; urgency=low

  * Initial fork from Ubuntu gnome-desktop3 3.6.3

 -- Michael Webster <miketwebster@gmail.com>  Fri, 23 Aug 2013 20:07:42 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8),
               dpkg-dev (>= 1.15.1),
               dh-autoreconf,
               libglib2.0-dev (>= 2.32),
               intltool (>= 0.40.6),
               scrollkeeper,
               cdbs (>= 0.4.41),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.4),
               docbook-xml,
               gnome-doc-utils (>= 0.3.2),
               libx11-dev,
               libxrandr-dev (>= 1.3),
               libxext-dev,
               xkb-data,
               libxkbfile-dev,
               libgdk-pixbuf2.0-dev (>= 2.21.3),
               libgtk-3-dev (>= 3.3.6),
               libxml2-dev (>= 2.4.20),
               libglib2.0-doc,
               libgtk-3-doc,
               gobject-introspection (>= 0.10.2-1~),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libgl1-mesa-dev,
               yelp-tools,

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-desktop-data (<< 1:2.32.1-2)
Replaces: gnome-desktop-data (<< 1:2.32.1-2)
Description: Common files for Cinnamon desktop apps
 This package includes some files that are shared between several Cinnamon
 apps (internationalization files).

Package: libcinnamon-desktop0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cinnamon-desktop-data (>= ${source:Version})
Recommends: hwdata (>= 0.227-1)
Description: Utility library for loading .desktop files - runtime files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcinnamon-desktop0 (= ${binary:Version}),
         gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.6),
         libxkbfile-dev
Description: Utility library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: Introspection data for CinnamonDesktop
 This package provides the include files and static library for the Cinnamon
 desktop library functions.
 .
 This package contains the introspection data for CinnamonDesktop

## cinnamon-desktop 2.0.4+maya

=== debian/changelog ===
cinnamon-desktop (2.0.4+maya) petra; urgency=low

  * 2.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:51:22 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

GNOME_MODULE=cinnamon-desktop

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_CONFIGURE_LIBEXECDIR := /usr/lib/libcinnamon-desktop0/

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-gnome-distributor=$(shell dpkg-vendor --query vendor) \
			--with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
			--disable-scrollkeeper \
			--enable-introspection

DEB_DH_MAKESHLIBS_ARGS_libcinnamon-desktop0 += -- -c4
DEB_DH_SHLIBDEPS_ARGS_libcinnamon-desktop0 := -X/usr/lib/libcinnamon-desktop0/check_gl_texture_size 

common-binary-post-install-arch:: list-missing

## cinnamon-desktop 2.2.3

=== debian/changelog ===
cinnamon-desktop (2.2.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:28:25 +0200

cinnamon-desktop (2.2.3-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:20:51 +0200

cinnamon-desktop (2.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Update VCS fields.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 May 2014 13:46:44 +0200

cinnamon-desktop (2.2.0-1) experimental; urgency=low

  [ Maximiliano Curia ]
  * Initial release. (Closes: #745912)
  * New patch: po_gnome-desktop_to_cinnamon-desktop.diff
  * New patch: add_schemas_to_POTFILES.in
  * Bump Standards-Version to 3.9.5.
  * Add abi-compliance-checker info.

  [ Margarita Manterola ]
  * New upstream release 2.2.0.
  * Updated patches.
  * Updated symbol file.

 -- Margarita Manterola <marga@debian.org>  Mon, 28 Apr 2014 22:27:07 +0200

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-acc,
               docbook-xml,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libgdk-pixbuf2.0-dev (>= 2.21.3),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.32.3),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.3.6),
               libgtk-3-doc,
               libx11-dev,
               libxext-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.4.20),
               libxrandr-dev (>= 2:1.3),
               scrollkeeper,
               xkb-data,
               yelp-tools
Standards-Version: 3.9.5
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon-desktop.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libcinnamon-desktop4 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.6),
         libxkbfile-dev,
         ${misc:Depends}
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: libcinnamon-desktop-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon library for loading .desktop files - debug symbols
 This package contains the symbols files needed to debug the Cinnamon desktop
 library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf,gir,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-gnome-distributor=$(shell dpkg-vendor --query vendor) \
	    --with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
	    --enable-introspection

override_dh_strip:
	dh_strip --dbg-package=libcinnamon-desktop-dbg

override_dh_auto_install:
	dh_auto_install -- typelibdir="/usr/lib/girepository-1.0"

override_dh_install:
	dh_install --list-missing

run_dh_acc:
	# The package needs to be installed (@ in autopkgtest)
	for in_file in debian/*.acc.in; do \
	    out_file=$${in_file%.in}; \
	    sed 's/\$${DEB_HOST_MULTIARCH}/'"$(DEB_HOST_MULTIARCH)"'/' \
		"$${in_file}" > "$${out_file}"; \
	done

	dh_acc

## cinnamon-desktop 2.2.3+qiana

=== debian/changelog ===
cinnamon-desktop (2.2.3+qiana) qiana; urgency=medium

  * 2.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 May 2014 14:06:44 +0100

cinnamon-desktop (2.2.2) qiana; urgency=medium

  * 2.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 11 May 2014 09:30:37 +0100

cinnamon-desktop (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 03 May 2014 15:32:43 +0100

cinnamon-desktop (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 10:51:49 +0100

cinnamon-desktop (2.0.4) petra; urgency=low

  * 2.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:51:22 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8),
               dpkg-dev (>= 1.15.1),
               dh-autoreconf,
               libglib2.0-dev (>= 2.32),
               intltool (>= 0.40.6),
               scrollkeeper,
               cdbs (>= 0.4.41),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.4),
               docbook-xml,
               gnome-doc-utils (>= 0.3.2),
               libx11-dev,
               libxrandr-dev (>= 1.3),
               libxext-dev,
               xkb-data,
               libxkbfile-dev,
               libgdk-pixbuf2.0-dev (>= 2.21.3),
               libgtk-3-dev (>= 3.3.6),
               libxml2-dev (>= 2.4.20),
               libglib2.0-doc,
               libgtk-3-doc,
               gobject-introspection (>= 0.10.2-1~),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libgl1-mesa-dev,
               yelp-tools,

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-desktop-data (<< 1:2.32.1-2)
Replaces: gnome-desktop-data (<< 1:2.32.1-2)
Description: Common files for Cinnamon desktop apps
 This package includes some files that are shared between several Cinnamon
 apps (internationalization files).

Package: libcinnamon-desktop0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cinnamon-desktop-data (>= ${source:Version})
Recommends: hwdata (>= 0.227-1)
Description: Utility library for loading .desktop files - runtime files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcinnamon-desktop0 (= ${binary:Version}),
         gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.6),
         libxkbfile-dev
Description: Utility library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: Introspection data for CinnamonDesktop
 This package provides the include files and static library for the Cinnamon
 desktop library functions.
 .
 This package contains the introspection data for CinnamonDesktop

## cinnamon-desktop 2.4.2+rebecca

=== debian/changelog ===
cinnamon-desktop (2.4.2+rebecca) rebecca; urgency=medium

  * Make migrate script compatible with glib < 2.40
  * migration script: fix glib alternate code so it doesn't wipe out defaults in the new schema.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Nov 2014 17:22:35 +0100

cinnamon-desktop (2.4.1) rebecca; urgency=medium

  * keybinding migration script: add run-once check

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 08 Nov 2014 09:59:23 +0100

cinnamon-desktop (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Oct 2014 14:48:30 +0100

cinnamon-desktop (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:21:48 +0100

cinnamon-desktop (2.2.3) qiana; urgency=medium

  * 2.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 May 2014 14:06:44 +0100

## cinnamon-desktop 2.6.4

=== debian/changelog ===
cinnamon-desktop (2.6.4-2) unstable; urgency=critical

  * Add Breaks to prevent this package from getting installed with older
    versions of cinnamon. (Closes: #788199)

 -- Margarita Manterola <marga@debian.org>  Tue, 09 Jun 2015 19:58:38 +0200

cinnamon-desktop (2.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release
  * Update build dependencies.
  * Add linux gsettings override, to use systemd by default in Linux.

  [ Fabio Fantoni ]
  * Removed a patch applied upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jun 2015 21:46:19 +0200

cinnamon-desktop (2.4.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * debian/patches: removed 2 patches applied upstream.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add basic autopkgtests support.
  * Remove unneeded build dependencies.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Feb 2015 19:14:57 +0100

cinnamon-desktop (2.2.3-3) unstable; urgency=medium

  * Remove dh-acc from Build-Depends, as it's only used for autopkgtest,
    that do not run during build time. Add lintian-overrides so that lintian
    doesn't complain.

 -- Margarita Manterola <marga@debian.org>  Sat, 25 Oct 2014 19:54:59 +0200

## cinnamon-desktop 2.6.5

=== debian/changelog ===
cinnamon-desktop (2.6.5-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Jul 2015 14:54:17 +0200

## cinnamon-desktop 2.6.5+rafaela

=== debian/changelog ===
cinnamon-desktop (2.6.5+rafaela) rafaela; urgency=medium

  [ Dexter Chua ]
  * screensaver schemas: use a default value that exists

  [ Clement Lefebvre ]
  * Ignore X errors when applying xrandr configuration (fixes CSD crashes with NVIDIA cards https://github.com/linuxmint/cinnamon-settings-daemon/issues/52) Ignore X errors when performing BG crossfade (should make it more stable and we might use it again in 2.8 as a result)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 22:22:33 +0200

cinnamon-desktop (2.6.4) rafaela; urgency=medium

  * Added keybinding to restart cinnamon (used by cinnamon-killer-daemon)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 May 2015 12:40:30 +0200

cinnamon-desktop (2.6.3) rafaela; urgency=medium

  [ Michael Webster ]
  * Add public method to gnome-desktop-utils to return a best-guess session user.
  * gnome-bg: fix build warning

  [ Clement Lefebvre ]
  * Split "use-systemd" configuration key into three keys for CSD, CSM and screensaver

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 May 2015 10:12:29 +0200

cinnamon-desktop (2.6.2) rafaela; urgency=medium

  [ mtwebster ]
  * gnome-desktop-thumbnail: always return a user.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 May 2015 12:28:14 +0200

cinnamon-desktop (2.6.1) rafaela; urgency=medium

  * gnome-desktop-thumbnail: add public thumbnail utility functions. - Do quick self-check upon factory creation, self-disable if problems   are found - added check and fix functions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 May 2015 10:58:30 +0200

cinnamon-desktop (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:03:55 +0200

cinnamon-desktop (2.5.1) unstable; urgency=medium

  * 2.5.x

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Jan 2015 10:53:33 +0100

cinnamon-desktop (2.4.2) rebecca; urgency=medium

  * Make migrate script compatible with glib < 2.40
  * migration script: fix glib alternate code so it doesn't wipe out defaults in the new schema.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Nov 2014 17:22:35 +0100

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               libxext-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.4.20),
               libxrandr-dev (>= 2:1.3),
               python,
               xkb-data,
               yelp-tools
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python:Depends}, python, python-gi
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libcinnamon-desktop4 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.16),
         libxkbfile-dev,
         ${misc:Depends}
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: libcinnamon-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon library for loading .desktop files - debug symbols
 This package contains the symbols files needed to debug the Cinnamon desktop
 library.

## cinnamon-desktop 2.8.0

=== debian/changelog ===
cinnamon-desktop (2.8.0-1) unstable; urgency=medium

  * New upstream release (2.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: cinnamon-desktop
 Section: x11
 Priority: optional
-Maintainer: Clement Lefebvre <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Margarita Manterola <marga@debian.org>,
+           Fabio Fantoni <fantonifabio@tiscali.it>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-python,
@@ -25,11 +28,15 @@
                yelp-tools
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
+Homepage: http://cinnamon.linuxmint.com/
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-desktop.git
+Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-desktop.git
 
 Package: cinnamon-desktop-data
 Architecture: all
+Breaks: cinnamon (<= 2.6.0~)
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python:Depends}, python, python-gi
+Depends: python, python-gi, ${misc:Depends}, ${python:Depends}
 Description: Common files for Cinnamon desktop apps
  This package includes files that are shared between several Cinnamon
  apps (i18n files and configuration schemas).

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with=autoreconf,gir,gnome
+	dh $@ --parallel --with=autoreconf,gir,gnome,python2
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control
@@ -23,13 +23,3 @@
 
 override_dh_install:
 	dh_install --list-missing
-
-run_dh_acc:
-	# The package needs to be installed (@ in autopkgtest)
-	for in_file in debian/*.acc.in; do \
-	    out_file=$${in_file%.in}; \
-	    sed 's/\$${DEB_HOST_MULTIARCH}/'"$(DEB_HOST_MULTIARCH)"'/' \
-		"$${in_file}" > "$${out_file}"; \
-	done
-
-	dh_acc

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## cinnamon-desktop 2.8.1+rosa

=== debian/changelog ===
cinnamon-desktop (2.8.1+rosa) rosa; urgency=medium

  [ Michael Webster ]
  * a11y schema: limit desktop zoom max magnification to 15x

  [ monsta ]
  * thumbnail: Fix a code path where the mutex is never unlocked

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Mar 2016 14:22:01 +0000

cinnamon-desktop (2.8.0) rosa; urgency=medium

  [ Dexter Chua ]
  * Make cinnamon-desktop buildable with make

  [ mtwebster ]
  * gnome-desktop-thumbnailer.c: block known-buggy image types from being thumbnailed.

  [ Mike Gerow ]
  * Create keybinding for XF86AudioMicMute => mic-mute

  [ leigh123linux ]
  * fix xml bg warning

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 13:59:41 +0100

cinnamon-desktop (2.6.5) rafaela; urgency=medium

  [ Dexter Chua ]
  * screensaver schemas: use a default value that exists

  [ Clement Lefebvre ]
  * Ignore X errors when applying xrandr configuration (fixes CSD crashes with NVIDIA cards https://github.com/linuxmint/cinnamon-settings-daemon/issues/52) Ignore X errors when performing BG crossfade (should make it more stable and we might use it again in 2.8 as a result)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 22:22:33 +0200

## cinnamon-desktop 3.0.1

=== debian/changelog ===
cinnamon-desktop (3.0.1-1) unstable; urgency=medium

  * New upstream release (3.0.0).
  * New upstream release (3.0.1).
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym
  * Add missing build dependency
  * Drop obsolete XS-Testsuite field
  * Add the new libcvc and it's components
  * Update the not-installed file
  * Update symbols file
  * Add missing dependency in the -dev package
  * Add a symbols file for libcvc, and inject the gir dependency in it

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 May 2016 12:48:27 +0200

cinnamon-desktop (2.8.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Mar 2016 19:57:36 +0100

## cinnamon-desktop 3.0.2

=== debian/changelog ===
cinnamon-desktop (3.0.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Fix dbgsym-migration rules

 -- Margarita Manterola <marga@debian.org>  Sun, 29 May 2016 16:37:07 +0200

cinnamon-desktop (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    Drop overlay scrollbars change, applied upstream.

 -- Margarita Manterola <marga@debian.org>  Sat, 28 May 2016 15:39:38 +0200

cinnamon-desktop (3.0.1-2) unstable; urgency=medium

  * Apply commit 9076d6217ae8a7a5b427c29f95c183b48ee0d751 from upstream, adding
    the possibility of disabling overlay scrollbars. (Closes: #824700)
    Thanks to Christoph Anton Mitterer for reporting.

 -- Margarita Manterola <marga@debian.org>  Wed, 18 May 2016 22:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libgirepository1.0-dev (>= 0.10.2-1~),
                libglib2.0-dev (>= 2.37.3),
                libgtk-3-dev (>= 3.3.16),
+               libpulse-dev,
                libx11-dev,
                libxext-dev,
                libxkbfile-dev,
@@ -26,11 +27,10 @@
                python,
                xkb-data,
                yelp-tools
-Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.8
 Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-desktop.git
-Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-desktop.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-desktop.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-desktop.git
 
 Package: cinnamon-desktop-data
 Architecture: all
@@ -53,11 +53,23 @@
 Description: Cinnamon library for loading .desktop files
  This library is used by Cinnamon to load the .desktop files.
 
+Package: libcvc0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Cinnamon pulseaudio abstraction library
+ This library contains code to access PulseAudio using a GObject
+ based library, shared between cinnamon-control-center, cinnamon-settings-daemon
+ and cinnamon. It is not API stable, and it is meant to be used
+ as a submodule.
+
 Package: libcinnamon-desktop-dev
 Section: libdevel
 Architecture: any
 Depends: gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
          libcinnamon-desktop4 (= ${binary:Version}),
+         libcvc0 (= ${binary:Version}),
          libgtk-3-dev (>= 3.3.16),
          libxkbfile-dev,
          ${misc:Depends}
@@ -72,13 +84,9 @@
 Description: Introspection data for CinnamonDesktop
  This package contains the introspection data for CinnamonDesktop.
 
-Package: libcinnamon-desktop-dbg
-Section: debug
-Priority: extra
+Package: gir1.2-cvc-1.0
+Section: introspection
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
-Description: Cinnamon library for loading .desktop files - debug symbols
- This package contains the symbols files needed to debug the Cinnamon desktop
- library.
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Introspection data for Cinnamon pulseaudio abstraction
+ This package contains the introspection data for Cinnamon pulseaudio abstraction.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	    --enable-introspection
 
 override_dh_strip:
-	dh_strip --dbg-package=libcinnamon-desktop-dbg
+	dh_strip --dbgsym-migration='libcinnamon-desktop-dbg (<< 3.0.1-1~)' || dh_strip
 
 override_dh_auto_install:
 	dh_auto_install -- typelibdir="/usr/lib/girepository-1.0"

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/cinnamon-desktop-$1/" \
    https://github.com/linuxmint/cinnamon-desktop/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cinnamon-desktop 3.0.2+sarah

=== debian/changelog ===
cinnamon-desktop (3.0.2+sarah) sarah; urgency=medium

  [ Michael Webster ]
  * libcvc: update doap file
  * Fix formatting of doap file.
  * org.cinnamon.desktop.interface schema: Add setting for gtk overlay scrollbars.

  [ Clement Lefebvre ]
  * Backgrounds: Take EXIF rotation tags into consideration

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 May 2016 11:59:50 +0100

cinnamon-desktop (3.0.1) sarah; urgency=medium

  [ Igor ]
  * Fix possible NULL pointer dereference
  * Fix usage of uninitialized values

  [ Clement Lefebvre ]
  * Disable event-sounds by default
  * Disable audible-bell by default

  [ Michael Webster ]
  * debian/control: remove dependency on gnome-packagekit-session.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2016 16:34:06 +0100

cinnamon-desktop (3.0.0) sarah; urgency=medium

  [ Michael Webster ]
  * a11y schema: limit desktop zoom max magnification to 15x
  * Add installer functions to check and install packages via PackageKit.
  * control: add gnome-packagekit-session install dep.
  * enums: Add zoom lens shape enum and magnifier key
  * gnome-installer: use a GTask for the IsInstalled loop, so the main thread isn't blocked.  Add some feedback to the test script to check this.
  * Schemas: add a few keys for a11y stuff
  * Add libcvc source and packages to build.
  * libcvc: header file fixes for including in C
  * gvc-channel-map.h: add missing include
  * gvc-channel-map.c: Remove redundant include

  [ monsta ]
  * thumbnail: Fix a code path where the mutex is never unlocked

  [ Stephen Collins ]
  * Some fixes for introspection
  * Cvc: some fixes for introspection
  * Cvc: add introspection functions for balance, fade and lfe
  * libcvc: Add stream montor functionality
  * gvc_mixer_ui_device.c: fix comment block causing a build warning
  * libcvc: fix some more build warnings

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Apr 2016 15:57:45 +0100

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               libxext-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.4.20),
               libxrandr-dev (>= 2:1.3),
               python,
               xkb-data,
               libpulse-dev,
               yelp-tools
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python:Depends}, python, python-gi
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libcinnamon-desktop4 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.16),
         libxkbfile-dev,
         ${misc:Depends}
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: libcinnamon-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon library for loading .desktop files - debug symbols
 This package contains the symbols files needed to debug the Cinnamon desktop
 library.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-cvc-1.0 (= ${binary:Version}),
         libcvc0 (= ${binary:Version}),
         ${misc:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package provides the include files and static
 library for cvc.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package contains the introspection data for Cvc.

Package: libcvc-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package contains the symbols files needed to
 debug the Cvc library.

## cinnamon-desktop 3.2.4

=== debian/changelog ===
cinnamon-desktop (3.2.4-4mx15+1) mx; urgency=medium

  * Rebuild for MX 15 repository.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jun 2017 18:16:38 -0700

cinnamon-desktop (3.2.4-4) unstable; urgency=medium

  * Change the default window manager theme to 'Default' as 'Adwaita' doesn't
    exist as a theme anymore. (Closes: #852974)

 -- Margarita Manterola <marga@debian.org>  Sun, 29 Jan 2017 16:15:57 +0100

cinnamon-desktop (3.2.4-3) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 19:46:40 -0300

cinnamon-desktop (3.2.4-2) experimental; urgency=medium

  * Explicitly depend on automake, as some buildds sometimes pull automaken
    instead, causing build failures.

 -- Margarita Manterola <marga@debian.org>  Sat, 17 Dec 2016 16:32:50 -0300

cinnamon-desktop (3.2.4-1) experimental; urgency=medium

  * New upstream release (3.2.4).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Dec 2016 00:27:36 +0100

cinnamon-desktop (3.2.1-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.
  * Remove obsolete patches, they were applied upstream.

  [ Maximiliano Curia ]
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Dec 2016 00:00:47 +0100

cinnamon-desktop (3.0.2-4) unstable; urgency=medium

  * Add a basic x-cinnamon-mimeapps.list file (Closes: 842602)
    Thanks to David Rabel for the report

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Nov 2016 13:19:00 +0100

cinnamon-desktop (3.0.2-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Call autogen.sh with dh_autoreconf
  * Add upstream patches remove-gtkdocize.patch and fix-libgsystem-path.patch
  * Add new patch: Make-AX_-macros-optional.patch
  * Add autoconf-archive as a build dependency. Thanks to Michael Biebl for
    the report (Closes: #837857)

 -- Margarita Manterola <marga@debian.org>  Mon, 17 Oct 2016 20:08:10 +0200

cinnamon-desktop (3.0.2-2) unstable; urgency=medium

  [ Margarita Manterola ]
  * Fix dbgsym-migration rules

  [ Maximiliano Curia ]
  * Add new patch: migrate_deprecated_gnome-common.patch (Closes: #829910)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Jul 2016 14:23:41 +0200

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpam0g-dev,
 libpulse-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 python,
 xkb-data,
 yelp-tools,
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-desktop.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks: cinnamon (<= 2.6.0~)
Multi-Arch: foreign
Depends: python, python-gi, ${misc:Depends}, ${python:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf,gir,gnome,python2

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
	    --enable-introspection

override_dh_strip:
	dh_strip --dbgsym-migration='libcinnamon-desktop-dbg (<< 3.0.1-1~)' || dh_strip

override_dh_auto_install:
	dh_auto_install -- typelibdir="/usr/lib/girepository-1.0"

override_dh_install:
	dh_install --list-missing

override_dh_installpam:
	dh_installpam --name="cinnamon-desktop"

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## cinnamon-desktop 3.2.4%2Bserena

=== debian/changelog ===
cinnamon-desktop (3.2.4+serena) serena; urgency=medium

  * Fix dpkg build

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2016 23:00:05 +0000

cinnamon-desktop (3.2.3) serena; urgency=medium

  [ leigh123linux ]
  * remove pam leftovers

  [ Clement Lefebvre ]
  * Privacy: Disable tracking of recent files by default

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2016 22:24:33 +0000

cinnamon-desktop (3.2.2) serena; urgency=medium

  [ Dustin Falgout ]
  * Update pam config for multi-distro compatibility

  [ leigh123linux ]
  * media-keys: Add Rotation lock support

  [ Michael Webster ]
  * Remove PAM authentication - this is moved back to cinnamon-screensaver, the only current user - the way we need to use the system is too tightly tied to the UI, so it's better off that it all be together - sorry, maintainers :(
  * screensaver schema: Add floating widget preference.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 11:52:44 +0000

cinnamon-desktop (3.2.1) serena; urgency=medium

  [ leigh123linux ]
  * Update PAM for Fedora selinux
  * Fix includes for libcvc

  [ Didenko Vladimir ]
  * Port some PAM code from cinnamon-screensaver 3.0: 1) Don't check return value of pam_acct_mgmt. On some systems it can fail because account modules are not configured properly or because this check requires additional privileges; 2) Call pam_setcred() to refresh credentials

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Nov 2016 12:43:16 +0000

cinnamon-desktop (3.2.0) serena; urgency=medium

  [ brownsr ]
  * avoid some warning messages
  * avoid some compiler warnings

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Michael Webster ]
  * gnome-bg: Add an introspectable method to GnomeBG to allow setting a GtkImage with a background surface.
  * gnome-bg.c: use gdk_cairo_surface_create_from_pixbuf() for creating GtkImage surfaces - this handles widget scale factors for us, and gives back the correct size/scale image surface.
  * gnome-desktop-utils: Add a pam password check function
  * Add /etc/pam.d/cinnamon-desktop to build and packaging to allow authentication to work (debian-based uses debian/cinnamon-desktop.pam rather than the one in /data.
  * Add flag image files to be shared with cinnamon, cinnamon-screensaver.
  * screensaver schema: Add flag, keyboard layout, and clock visiblity keys.

  [ Clement Lefebvre ]
  * Fixed build

  [ leigh123linux ]
  * Delete COPYING-DOCS
  * There is no need for this as there are no docs
  * hack the path as the macro doesn't work

  [ Maximiliano Curia ]
  * Make AX_ macros optional

  [ Michael Webster ]
  * Remove flag files (provided by xapps now)
  * screensaver schema: Add caps keyboard layout option.
  * screensaver schema: add albumart preference
  * gnome-desktop-thumbnail.c: remove hardcoded GdkPixbuf blacklist, and make mimetypes in the "disable" gsettings key apply to the entire thumbnail factory, not just pluggable thumbnailers.

  [ leigh123linux ]
  * fix fsf address

  [ Michael Webster ]
  * Move flag, uppercase prefs from screensaver to interface schema, and add a preference for layout name.
  * Add screensaver lockdown preferences

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:32:05 +0000

cinnamon-desktop (3.0.2) sarah; urgency=medium

  [ Michael Webster ]
  * libcvc: update doap file
  * Fix formatting of doap file.
  * org.cinnamon.desktop.interface schema: Add setting for gtk overlay scrollbars.

  [ Clement Lefebvre ]
  * Backgrounds: Take EXIF rotation tags into consideration

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 May 2016 11:59:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf,gir,gnome,python2

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-gnome-distributor=$(shell dpkg-vendor --query vendor) \
	    --with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
	    --enable-introspection

override_dh_strip:
	dh_strip -Xdesktop -Xcinnamon --dbg-package=libcvc-dbg
	dh_strip -Xcvc --dbg-package=libcinnamon-desktop-dbg

override_dh_auto_install:
	dh_auto_install -- typelibdir="/usr/lib/girepository-1.0"

override_dh_install:
	dh_install --list-missing
